> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download model image build logs

> Download model image build logs as new-line-separated JSON



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/registeredmodels/v1/{modelName}/versions/{modelVersion}/builds/{buildId}/logs/download
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/registeredmodels/v1/{modelName}/versions/{modelVersion}/builds/{buildId}/logs/download:
    get:
      tags:
        - Registered models
      summary: Download model image build logs
      description: Download model image build logs as new-line-separated JSON
      operationId: downloadModelImageBuildLogs
      parameters:
        - in: path
          name: modelName
          required: true
          schema:
            type: string
        - in: path
          name: modelVersion
          required: true
          schema:
            type: string
        - in: path
          name: buildId
          required: true
          schema:
            pattern: ^[a-f\d]{24}$
            type: string
      responses:
        '200':
          content:
            application/x-ndjson:
              schema:
                format: binary
                type: string
          description: Build logs as NDJSON
          x-domino-binary-stream: true
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  responses:
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  schemas:
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Integrated deployment to CI/CD workflows](/cloud/platform-capabilities/features/models/integrate-ci-cd-workflows.md)
- [Get model image build logs](/api-reference/registered-models/get-model-image-build-logs.md)
- [Monitor model endpoints](/cloud/platform-capabilities/features/model-deployment/monitor-model-endpoints.md)
- [Get Model API version build logs](/api-reference/model-apis/get-apimodelservingv1modelapis-versions-buildlogs.md)
